---
sidebar_label: Device
---

# Device interface

#### Signature:

```typescript
export interface Device
```

## Properties

| Property  | Modifiers | Type                                | Description | Default |
| --------- | --------- | ----------------------------------- | ----------- | ------- |
| userAgent |           | string                              |             |         |
| viewport  |           | [Viewport](./puppeteer.viewport.md) |             |         |
